{
  "schema_version": "1.4.0",
  "id": "GHSA-crxc-8h2p-6c8g",
  "modified": "2022-05-17T03:05:52Z",
  "published": "2022-05-17T03:05:52Z",
  "aliases": [
    "CVE-2014-4721"
  ],
  "details": "The phpinfo implementation in ext/standard/info.c in PHP before 5.4.30 and 5.5.x before 5.5.14 does not ensure use of the string data type for the PHP_AUTH_PW, PHP_AUTH_TYPE, PHP_AUTH_USER, and PHP_SELF variables, which might allow context-dependent attackers to obtain sensitive information from process memory by using the integer data type with crafted values, related to a \"type confusion\" vulnerability, as demonstrated by reading a private SSL key in an Apache HTTP Server web-hosting environment with mod_ssl and a PHP 5.3.x mod_php.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2014-4721"
    },
    {
      "type": "WEB",
      "url": "https://bugs.php.net/bug.php?id=67498"
    },
    {
      "type": "WEB",
      "url": "https://www.sektioneins.de/en/blog/14-07-04-phpinfo-infoleak.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-updates/2014-07/msg00035.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-updates/2014-09/msg00046.html"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2014-1765.html"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2014-1766.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/54553"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/59794"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/59831"
    },
    {
      "type": "WEB",
      "url": "http://twitter.com/mikispag/statuses/485713462258302976"
    },
    {
      "type": "WEB",
      "url": "http://www-01.ibm.com/support/docview.wss?uid=swg21683486"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2014/dsa-2974"
    },
    {
      "type": "WEB",
      "url": "http://www.oracle.com/technetwork/topics/security/bulletinjan2015-2370101.html"
    },
    {
      "type": "WEB",
      "url": "http://www.php.net/ChangeLog-5.php"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-200"
    ],
    "severity": "LOW",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2014-07-06T23:55:00Z"
  }
}